Index: de_DE.ISO8859-1/share/sgml/mailing-lists.ent
===================================================================
RCS file: /home/ncvs/doc/de_DE.ISO8859-1/share/sgml/mailing-lists.ent,v
retrieving revision 1.11
diff -u -r1.11 mailing-lists.ent
--- de_DE.ISO8859-1/share/sgml/mailing-lists.ent	25 May 2003 23:35:52 -0000	1.11
+++ de_DE.ISO8859-1/share/sgml/mailing-lists.ent	15 Mar 2004 00:31:36 -0000
@@ -247,7 +247,7 @@
 <!ENTITY a.jobs "<ulink url='&a.jobs.url;'>FreeBSD related employment</ulink>">
 <!ENTITY a.jobs.name "<ulink url='&a.jobs.url;'>freebsd-jobs</ulink>">
 
-<!ENTITY a.kde.url "http://lists.csociety.org/listinfo/kde-freebsd">
+<!ENTITY a.kde.url "http://freebsd.kde.org/mailman/listinfo/kde-freebsd">
 <!ENTITY a.kde "<ulink url='&a.kde.url;'>FreeBSD KDE/Qt and KDE
   applications</ulink>">
 <!ENTITY a.kde.name "<ulink url='&a.kde.url;'>freebsd-kde</ulink>">
Index: en_US.ISO8859-1/share/sgml/mailing-lists.ent
===================================================================
RCS file: /home/ncvs/doc/en_US.ISO8859-1/share/sgml/mailing-lists.ent,v
retrieving revision 1.25
diff -u -r1.25 mailing-lists.ent
--- en_US.ISO8859-1/share/sgml/mailing-lists.ent	20 Jun 2003 20:14:51 -0000	1.25
+++ en_US.ISO8859-1/share/sgml/mailing-lists.ent	15 Mar 2004 00:31:39 -0000
@@ -200,7 +200,7 @@
 <!ENTITY a.jobs "<ulink url='&a.jobs.url;'>FreeBSD related employment mailing list</ulink>">
 <!ENTITY a.jobs.name "<ulink url='&a.jobs.url;'>freebsd-jobs</ulink>">
 
-<!ENTITY a.kde.url "http://lists.csociety.org/listinfo/kde-freebsd">
+<!ENTITY a.kde.url "http://freebsd.kde.org/mailman/listinfo/kde-freebsd">
 <!ENTITY a.kde "<ulink url='&a.kde.url;'>FreeBSD KDE/Qt and KDE applications mailing list</ulink>">
 <!ENTITY a.kde.name "<ulink url='&a.kde.url;'>freebsd-kde</ulink>">
 
Index: fr_FR.ISO8859-1/share/sgml/mailing-lists.ent
===================================================================
RCS file: /home/ncvs/doc/fr_FR.ISO8859-1/share/sgml/mailing-lists.ent,v
retrieving revision 1.6
diff -u -r1.6 mailing-lists.ent
--- fr_FR.ISO8859-1/share/sgml/mailing-lists.ent	8 Jul 2003 17:39:54 -0000	1.6
+++ fr_FR.ISO8859-1/share/sgml/mailing-lists.ent	15 Mar 2004 00:31:44 -0000
@@ -209,7 +209,7 @@
 <!ENTITY a.jobs "<ulink url='&a.jobs.url;'>liste de diffusion sur les emplois en rapport avec FreeBSD</ulink>">
 <!ENTITY a.jobs.name "<ulink url='&a.jobs.url;'>freebsd-jobs</ulink>">
 
-<!ENTITY a.kde.url "http://lists.csociety.org/listinfo/kde-freebsd">
+<!ENTITY a.kde.url "http://freebsd.kde.org/mailman/listinfo/kde-freebsd">
 <!ENTITY a.kde "<ulink url='&a.kde.url;'>liste de diffusion concernant
 le Project FreeBSD KDE/Qt et les applications KDE</ulink>">
 <!ENTITY a.kde.name "<ulink url='&a.kde.url;'>freebsd-kde</ulink>">
Index: it_IT.ISO8859-15/share/sgml/mailing-lists.ent
===================================================================
RCS file: /home/ncvs/doc/it_IT.ISO8859-15/share/sgml/mailing-lists.ent,v
retrieving revision 1.5
diff -u -r1.5 mailing-lists.ent
--- it_IT.ISO8859-15/share/sgml/mailing-lists.ent	6 Jul 2003 09:29:17 -0000	1.5
+++ it_IT.ISO8859-15/share/sgml/mailing-lists.ent	15 Mar 2004 00:31:50 -0000
@@ -203,7 +203,7 @@
 <!ENTITY a.jobs "<ulink url='&a.jobs.url;'>mailing list sugli impieghi relativi a FreeBSD</ulink>">
 <!ENTITY a.jobs.name "<ulink url='&a.jobs.url;'>freebsd-jobs</ulink>">
 
-<!ENTITY a.kde.url "http://lists.csociety.org/listinfo/kde-freebsd">
+<!ENTITY a.kde.url "http://freebsd.kde.org/mailman/listinfo/kde-freebsd">
 <!ENTITY a.kde "<ulink url='&a.kde.url;'>mailing list su KDE/Qt e le applicazioni KDE di FreeBSD</ulink>">
 <!ENTITY a.kde.name "<ulink url='&a.kde.url;'>freebsd-kde</ulink>">
 
Index: ja_JP.eucJP/share/sgml/mailing-lists.ent
===================================================================
RCS file: /home/ncvs/doc/ja_JP.eucJP/share/sgml/mailing-lists.ent,v
retrieving revision 1.4
diff -u -r1.4 mailing-lists.ent
--- ja_JP.eucJP/share/sgml/mailing-lists.ent	10 Jul 2003 17:10:40 -0000	1.4
+++ ja_JP.eucJP/share/sgml/mailing-lists.ent	15 Mar 2004 00:31:56 -0000
@@ -204,7 +204,7 @@
 <!ENTITY a.jobs "<ulink url='&a.jobs.url;'>FreeBSD related employment ¥á¡¼¥ê¥ó¥°¥ê¥¹¥È</ulink>">
 <!ENTITY a.jobs.name "<ulink url='&a.jobs.url;'>freebsd-jobs</ulink>">
 
-<!ENTITY a.kde.url "http://lists.csociety.org/listinfo/kde-freebsd">
+<!ENTITY a.kde.url "http://freebsd.kde.org/mailman/listinfo/kde-freebsd">
 <!ENTITY a.kde "<ulink url='&a.kde.url;'>FreeBSD KDE/Qt and KDE applications ¥á¡¼¥ê¥ó¥°¥ê¥¹¥È</ulink>">
 <!ENTITY a.kde.name "<ulink url='&a.kde.url;'>freebsd-kde</ulink>">
 