Index: freebsd-glossary.sgml
===================================================================
RCS file: /home/FreeBSD/dcvs/doc/en_US.ISO8859-1/share/sgml/glossary/freebsd-glossary.sgml,v
retrieving revision 1.5
diff -u -r1.5 freebsd-glossary.sgml
--- freebsd-glossary.sgml	28 Sep 2003 20:25:42 -0000	1.5
+++ freebsd-glossary.sgml	6 Jun 2004 02:07:06 -0000
@@ -17,8 +17,10 @@
       <acronym>BSD</acronym>
       <glossdef>
 	<para>This is the name that the Computer Systems Research Group
-	  at Berkeley gave to their improvements and modifications to
-	  AT&amp;T's 32V &unix;.</para>
+	  (CSRG) at <ulink url="http://www.berkeley.edu">The University
+	  of California at Berkeley</ulink> gave to their improvements
+	  and modifications to
+	  AT&amp;T's 32V &unix;.  &os; is a descendant of that work.</para>
       </glossdef>
     </glossentry>
 
@@ -40,6 +42,27 @@
   </glossdiv>
 
   <glossdiv>
+    <title>G</title>
+
+    <glossentry id="giant">
+      <glossterm>Giant</glossterm>
+      <glossdef>
+	<para>The name of a kernel resource lock that protects a large
+	  set of kernel resources.  It is an unwanted remnant of much
+	  earlier <acronym>BSD</acronym> kernels which used very coarse
+	  locking mechanisms (for instance, if any process was in the
+	  network stack, every other process was locked out).  While
+	  this was adequate in the days where a machine might have only
+	  a few dozen processes, one networking card, and certainly only
+	  one processor, in current times it is an unacceptable
+	  performance bottleneck.  &os; developers are actively working
+	  on replacing every occurrence with fine-grained locks that
+	  protect individual resources.</para>
+      </glossdef>
+    </glossentry>
+  </glossdiv>
+
+  <glossdiv>
     <title>K</title>
 
     <glossentry id="kse">
@@ -59,6 +82,36 @@
   </glossdiv>
 
   <glossdiv>
+    <title>L</title>
+
+    <glossentry id="lor">
+      <glossterm>Lock Order Reversal</glossterm>
+      <acronym>LOR</acronym>
+      <glossdef>
+	<para>The &os; kernel uses a number of resource locks to
+	  arbitrate contention for those resources.  A run-time
+	  lock diagnostic system found in &os.current; kernels
+	  (but removed for releases), called &man.witness.4;,
+	  detects the potential for deadlocks due to locking errors.
+	  (&man.witness.4; is actually slightly conservative, so
+	  it is possible to get false positives.)  A true positive
+	  report indicates "if you were unlucky, a deadlock would
+	  have happened here".</para>
+
+	<para>True positive LORs tend to get fixed quickly, so
+	  check &a.current.url; and the
+	  <ulink url="http://sources.zabbadoz.net/freebsd/lor.html">
+	  LORs Seen</ulink> page before posting to the mailing lists.</para>
+      </glossdef>
+    </glossentry>
+
+    <glossentry>
+      <glossterm>LOR</glossterm>
+      <glosssee otherterm="lor">
+    </glossentry>
+  </glossdiv>
+
+  <glossdiv>
     <title>M</title>
 
     <glossentry id="mfc">
@@ -94,12 +147,54 @@
       <glossterm>MFS</glossterm>
       <glosssee otherterm="mfs">
     </glossentry>
+  </glossdiv>
+
+  <glossdiv>
+    <title>N</title>
+
+    <glossentry>
+      <glossterm>NDISUlator</glossterm>
+      <glosssee otherterm="projectevil">
+    </glossentry>
 
   </glossdiv>
 
   <glossdiv>
+    <title>O</title>
+
+    <glossentry id="obe">
+      <glossterm>Overtaken By Events</glossterm>
+      <acronym>OBE</acronym>
+      <glossdef>
+	<para>Indicates a suggested change (such as a Problem Report
+	  or a feature request) which is no longer relevant or
+	  applicable due to passage of time or more recent changes
+	  to &os;.</para>
+      </glossdef>
+    </glossentry>
+
+    <glossentry>
+      <glossterm>OBE</glossterm>
+      <glosssee otherterm="obe">
+    </glossentry>
+  </glossdiv>
+
+  <glossdiv>
     <title>P</title>
 
+    <glossentry id="pointyhat">
+      <glossterm>Pointy Hat</glossterm>
+      <glossdef>
+	<para>A mythical piece of headgear, much like a
+	  <literal>dunce cap</literal>, awarded to any &os;
+	  committer who breaks the build, makes revision numbers
+	  go backwards, or creates any other kind of havoc in
+	  the source base.  Any committer worth his or her salt
+	  will soon accumulate a large collection.  The usage is
+	  (almost always?) humorous.</para>
+      </glossdef>
+    </glossentry>
+
     <glossentry id="pola">
       <glossterm>Principle Of Least Astonishment</glossterm>
       <acronym>POLA</acronym>
@@ -118,6 +213,22 @@
       <glossterm>POLA</glossterm>
       <glosssee otherterm="pola">
     </glossentry>
+
+    <glossentry id="projectevil">
+      <glossterm>Project Evil</glossterm>
+      <glossdef>
+	<para>The working title for the <acronym>NDISulator</acronym>,
+	  written by Bill Paul, who named it referring to how awful
+	  it is (from a philosophical standpoint) to need to have
+	  something like this in the first place.  The
+	  <acronym>NDISulator</acronym> is a special compatibility
+	  module to allow Microsoft Windows&trade; NDIS miniport
+	  network drivers to be used with &os;/x86.  This is usually
+	  the only way to use cards where the driver is closed-source.
+	  See <filename>src/sys/compat/ndis/subr_ndis.c</filename>.</para>
+      </glossdef>
+    </glossentry>
+
   </glossdiv>
 </glossary>
 