diff -ruN phase/Makefile phase.new/Makefile
--- phase/Makefile	Wed Nov 10 07:14:29 2004
+++ phase.new/Makefile	Sun Feb 27 16:16:54 2005
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	phase
-PORTVERSION=	0.6
-PORTREVISION=	1
+PORTVERSION=	0.7
 CATEGORIES=	x11-themes kde
 MASTER_SITES=	http://www.usermode.org/code/
 
@@ -15,8 +14,10 @@
 COMMENT=	An original Qt/KDE widget style
 
 USE_KDEBASE_VER=3
+USE_BZIP2=	yes
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 INSTALLS_SHLIB=	yes
+LDCONFIG_DIRS+=	%%PREFIX%%/lib/kde3
 
 .include <bsd.port.mk>
diff -ruN phase/distinfo phase.new/distinfo
--- phase/distinfo	Thu Nov  4 10:59:33 2004
+++ phase.new/distinfo	Sun Feb 27 16:06:12 2005
@@ -1,2 +1,2 @@
-MD5 (phase-0.6.tar.gz) = ab23b2970ca6479a483a6d24c6880acc
-SIZE (phase-0.6.tar.gz) = 474823
+MD5 (phase-0.7.tar.bz2) = 9a0c054802fdf0c1c8c7ca8ed19ba8af
+SIZE (phase-0.7.tar.bz2) = 370677
diff -ruN phase/files/patch-configure phase.new/files/patch-configure
--- phase/files/patch-configure	Mon Nov  8 15:09:07 2004
+++ phase.new/files/patch-configure	Wed Dec 31 16:00:00 1969
@@ -1,425 +0,0 @@
---- configure.orig	Sun Oct 31 23:08:13 2004
-+++ configure	Mon Nov  8 23:57:04 2004
-@@ -19945,16 +19945,39 @@
- fi
- 
- 
--echo "$as_me:$LINENO: checking for pthread_create in -lpthread" >&5
--echo $ECHO_N "checking for pthread_create in -lpthread... $ECHO_C" >&6
--if test "${ac_cv_lib_pthread_pthread_create+set}" = set; then
-+                LIBPTHREAD=""
-+
-+  if test -n "$PTHREAD_LIBS"; then
-+    if test "x$PTHREAD_LIBS" = "x-pthread" ; then
-+      LIBPTHREAD="PTHREAD"
-+    else
-+      PTHREAD_LIBS_save="$PTHREAD_LIBS"
-+      PTHREAD_LIBS=`echo "$PTHREAD_LIBS_save" | sed -e 's,^-l,,g'`
-+      echo "$as_me:$LINENO: checking for pthread_create in $PTHREAD_LIBS" >&5
-+echo $ECHO_N "checking for pthread_create in $PTHREAD_LIBS... $ECHO_C" >&6
-+
-+     kde_save_LDFLAGS="$LDFLAGS"
-+          kde_save_LIBS="$LIBS"
-+     LDFLAGS="$LDFLAGS $all_libraries"
-+     case $host_os in
-+      aix*) LDFLAGS="-brtl $LDFLAGS"
-+	test "$GCC" = yes && LDFLAGS="-Wl,$LDFLAGS"
-+	;;
-+     esac
-+     as_ac_Lib=`echo "ac_cv_lib_$PTHREAD_LIBS''_pthread_create" | $as_tr_sh`
-+echo "$as_me:$LINENO: checking for pthread_create in -l$PTHREAD_LIBS" >&5
-+echo $ECHO_N "checking for pthread_create in -l$PTHREAD_LIBS... $ECHO_C" >&6
-+if eval "test \"\${$as_ac_Lib+set}\" = set"; then
-   echo $ECHO_N "(cached) $ECHO_C" >&6
- else
-   ac_check_lib_save_LIBS=$LIBS
--LIBS="-lpthread  $LIBS"
-+LIBS="-l$PTHREAD_LIBS  $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
--#line $LINENO "configure"
--#include "confdefs.h"
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
- 
- /* Override any gcc2 internal prototype to avoid an error.  */
- #ifdef __cplusplus
-@@ -19963,12 +19986,6 @@
- /* We use char because int might match the return type of a gcc2
-    builtin and then its argument prototype would still apply.  */
- char pthread_create ();
--#ifdef F77_DUMMY_MAIN
--#  ifdef __cplusplus
--     extern "C"
--#  endif
--   int F77_DUMMY_MAIN() { return 1; }
--#endif
- int
- main ()
- {
-@@ -19979,231 +19996,187 @@
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
--  (eval $ac_link) 2>&5
-+  (eval $ac_link) 2>conftest.er1
-   ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--         { ac_try='test -s conftest$ac_exeext'
-+	 { ac_try='test -z "$ac_c_werror_flag"
-+			 || test ! -s conftest.err'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest$ac_exeext'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); }; }; then
--  ac_cv_lib_pthread_pthread_create=yes
-+  eval "$as_ac_Lib=yes"
- else
-   echo "$as_me: failed program was:" >&5
--cat conftest.$ac_ext >&5
--ac_cv_lib_pthread_pthread_create=no
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+eval "$as_ac_Lib=no"
- fi
--rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-+rm -f conftest.err conftest.$ac_objext \
-+      conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
--echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_pthread_create" >&5
--echo "${ECHO_T}$ac_cv_lib_pthread_pthread_create" >&6
--if test $ac_cv_lib_pthread_pthread_create = yes; then
--  LIBPTHREAD="-lpthread"
-+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
-+echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
-+if test `eval echo '${'$as_ac_Lib'}'` = yes; then
-+  LIBPTHREAD="$PTHREAD_LIBS_save"
- fi
- 
-+     LDFLAGS="$kde_save_LDFLAGS"
-+     LIBS="$kde_save_LIBS"
- 
-+      PTHREAD_LIBS="$PTHREAD_LIBS_save"
-+    fi
-+  fi
- 
--
--    # Check whether --enable-kernel-threads or --disable-kernel-threads was given.
--if test "${enable_kernel_threads+set}" = set; then
--  enableval="$enable_kernel_threads"
--  kde_use_kernthreads=$enableval
--else
--  kde_use_kernthreads=no
--fi;
--
--    if test "$kde_use_kernthreads" = "yes"; then
--      ac_save_CXXFLAGS="$CXXFLAGS"
--      ac_save_CFLAGS="$CFLAGS"
--      CXXFLAGS="-I/usr/local/include/pthread/linuxthreads $CXXFLAGS"
--      CFLAGS="-I/usr/local/include/pthread/linuxthreads $CFLAGS"
--
--for ac_header in pthread/linuxthreads/pthread.h
--do
--as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
--if eval "test \"\${$as_ac_Header+set}\" = set"; then
--  echo "$as_me:$LINENO: checking for $ac_header" >&5
--echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
--if eval "test \"\${$as_ac_Header+set}\" = set"; then
-+  if test -z "$LIBPTHREAD"; then
-+    echo "$as_me:$LINENO: checking for pthread_create in -lpthread" >&5
-+echo $ECHO_N "checking for pthread_create in -lpthread... $ECHO_C" >&6
-+if test "${ac_cv_lib_pthread_pthread_create+set}" = set; then
-   echo $ECHO_N "(cached) $ECHO_C" >&6
--fi
--echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
--echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
- else
--  # Is the header compilable?
--echo "$as_me:$LINENO: checking $ac_header usability" >&5
--echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
-+  ac_check_lib_save_LIBS=$LIBS
-+LIBS="-lpthread  $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
--#line $LINENO "configure"
--#include "confdefs.h"
--$ac_includes_default
--#include <$ac_header>
-+/* confdefs.h.  */
- _ACEOF
--rm -f conftest.$ac_objext
--if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
--  (eval $ac_compile) 2>&5
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+
-+/* Override any gcc2 internal prototype to avoid an error.  */
-+#ifdef __cplusplus
-+extern "C"
-+#endif
-+/* We use char because int might match the return type of a gcc2
-+   builtin and then its argument prototype would still apply.  */
-+char pthread_create ();
-+int
-+main ()
-+{
-+pthread_create ();
-+  ;
-+  return 0;
-+}
-+_ACEOF
-+rm -f conftest.$ac_objext conftest$ac_exeext
-+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-+  (eval $ac_link) 2>conftest.er1
-   ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--         { ac_try='test -s conftest.$ac_objext'
-+	 { ac_try='test -z "$ac_c_werror_flag"
-+			 || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); }; }; then
--  ac_header_compiler=yes
--else
--  echo "$as_me: failed program was:" >&5
--cat conftest.$ac_ext >&5
--ac_header_compiler=no
--fi
--rm -f conftest.$ac_objext conftest.$ac_ext
--echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
--echo "${ECHO_T}$ac_header_compiler" >&6
--
--# Is the header present?
--echo "$as_me:$LINENO: checking $ac_header presence" >&5
--echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
--cat >conftest.$ac_ext <<_ACEOF
--#line $LINENO "configure"
--#include "confdefs.h"
--#include <$ac_header>
--_ACEOF
--if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
--  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest$ac_exeext'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-   ac_status=$?
--  egrep -v '^ *\+' conftest.er1 >conftest.err
--  rm -f conftest.er1
--  cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); } >/dev/null; then
--  if test -s conftest.err; then
--    ac_cpp_err=$ac_c_preproc_warn_flag
--  else
--    ac_cpp_err=
--  fi
--else
--  ac_cpp_err=yes
--fi
--if test -z "$ac_cpp_err"; then
--  ac_header_preproc=yes
-+  (exit $ac_status); }; }; then
-+  ac_cv_lib_pthread_pthread_create=yes
- else
-   echo "$as_me: failed program was:" >&5
--  cat conftest.$ac_ext >&5
--  ac_header_preproc=no
--fi
--rm -f conftest.err conftest.$ac_ext
--echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
--echo "${ECHO_T}$ac_header_preproc" >&6
--
--# So?  What about this header?
--case $ac_header_compiler:$ac_header_preproc in
--  yes:no )
--    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
--echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
--    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
--echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
--  no:yes )
--    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
--echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
--    { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
--echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
--    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
--echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
--esac
--echo "$as_me:$LINENO: checking for $ac_header" >&5
--echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
--if eval "test \"\${$as_ac_Header+set}\" = set"; then
--  echo $ECHO_N "(cached) $ECHO_C" >&6
--else
--  eval "$as_ac_Header=$ac_header_preproc"
--fi
--echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
--echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
-+sed 's/^/| /' conftest.$ac_ext >&5
- 
-+ac_cv_lib_pthread_pthread_create=no
- fi
--if test `eval echo '${'$as_ac_Header'}'` = yes; then
--  cat >>confdefs.h <<_ACEOF
--#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
--_ACEOF
--
-+rm -f conftest.err conftest.$ac_objext \
-+      conftest$ac_exeext conftest.$ac_ext
-+LIBS=$ac_check_lib_save_LIBS
-+fi
-+echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_pthread_create" >&5
-+echo "${ECHO_T}$ac_cv_lib_pthread_pthread_create" >&6
-+if test $ac_cv_lib_pthread_pthread_create = yes; then
-+  LIBPTHREAD="-lpthread"
- fi
- 
--done
--
--      CXXFLAGS="$ac_save_CXXFLAGS"
--      CFLAGS="$ac_save_CFLAGS"
--      if test "$ac_cv_header_pthread_linuxthreads_pthread_h" = "no"; then
--        kde_use_kernthreads=no
--      else
--                echo "$as_me:$LINENO: checking for pthread_join in -llthread" >&5
--echo $ECHO_N "checking for pthread_join in -llthread... $ECHO_C" >&6
--if test "${ac_cv_lib_lthread_pthread_join+set}" = set; then
--  echo $ECHO_N "(cached) $ECHO_C" >&6
--else
--  ac_check_lib_save_LIBS=$LIBS
--LIBS="-llthread  $LIBS"
--cat >conftest.$ac_ext <<_ACEOF
--#line $LINENO "configure"
--#include "confdefs.h"
-+  fi
- 
--/* Override any gcc2 internal prototype to avoid an error.  */
--#ifdef __cplusplus
--extern "C"
--#endif
--/* We use char because int might match the return type of a gcc2
--   builtin and then its argument prototype would still apply.  */
--char pthread_join ();
--#ifdef F77_DUMMY_MAIN
--#  ifdef __cplusplus
--     extern "C"
--#  endif
--   int F77_DUMMY_MAIN() { return 1; }
--#endif
-+    if test -z "$LIBPTHREAD" ; then
-+    echo "$as_me:$LINENO: checking for pthread_create in -lpthread" >&5
-+echo $ECHO_N "checking for pthread_create in -lpthread... $ECHO_C" >&6
-+    kde_safe_libs=$LIBS
-+    LIBS="$LIBS -lpthread"
-+    cat >conftest.$ac_ext <<_ACEOF
-+/* confdefs.h.  */
-+_ACEOF
-+cat confdefs.h >>conftest.$ac_ext
-+cat >>conftest.$ac_ext <<_ACEOF
-+/* end confdefs.h.  */
-+#include <pthread.h>
- int
- main ()
- {
--pthread_join ();
-+(void)pthread_create(0,0,0,0);
-   ;
-   return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
--  (eval $ac_link) 2>&5
-+  (eval $ac_link) 2>conftest.er1
-   ac_status=$?
-+  grep -v '^ *+' conftest.er1 >conftest.err
-+  rm -f conftest.er1
-+  cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
--         { ac_try='test -s conftest$ac_exeext'
-+	 { ac_try='test -z "$ac_c_werror_flag"
-+			 || test ! -s conftest.err'
-+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-+  (eval $ac_try) 2>&5
-+  ac_status=$?
-+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-+  (exit $ac_status); }; } &&
-+	 { ac_try='test -s conftest$ac_exeext'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); }; }; then
--  ac_cv_lib_lthread_pthread_join=yes
-+
-+        echo "$as_me:$LINENO: result: yes" >&5
-+echo "${ECHO_T}yes" >&6
-+        LIBPTHREAD="-lpthread"
- else
-   echo "$as_me: failed program was:" >&5
--cat conftest.$ac_ext >&5
--ac_cv_lib_lthread_pthread_join=no
--fi
--rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
--LIBS=$ac_check_lib_save_LIBS
--fi
--echo "$as_me:$LINENO: result: $ac_cv_lib_lthread_pthread_join" >&5
--echo "${ECHO_T}$ac_cv_lib_lthread_pthread_join" >&6
--if test $ac_cv_lib_lthread_pthread_join = yes; then
--  LIBPTHREAD="-llthread -llgcc_r"
-+sed 's/^/| /' conftest.$ac_ext >&5
-+
-+
-+	echo "$as_me:$LINENO: result: no" >&5
-+echo "${ECHO_T}no" >&6
- fi
--         if test "x$LIBPTHREAD" = "x"; then
--          kde_use_kernthreads=no
--        else
--          USE_THREADS="-D_THREAD_SAFE -I/usr/local/include/pthread/linuxthreads"
--        fi
--      fi
--    else
-+rm -f conftest.err conftest.$ac_objext \
-+      conftest$ac_exeext conftest.$ac_ext
-+    LIBS=$kde_safe_libs
-+  fi
-+
-+    if test "x$LIBPTHREAD" = "xPTHREAD" ; then
-+    LIBPTHREAD=""
-+  fi
-+      
-+      
-+      
-+      
-       USE_THREADS=""
-       if test -z "$LIBPTHREAD"; then
- 
-@@ -20286,7 +20259,6 @@
- fi
- 
-       fi
--    fi
- 
-     case $host_os in
-  	solaris*)