diff -urN ./wxgtk26/Makefile ../my/./wxgtk26/Makefile
--- ./wxgtk26/Makefile	Sat Sep  3 10:48:39 2005
+++ ../my/./wxgtk26/Makefile	Thu Oct  6 23:24:12 2005
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	wx
-PORTVERSION=	2.6.1
+PORTVERSION=	2.6.2
 CATEGORIES=	x11-toolkits
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	wxwindows
diff -urN ./wxgtk26/distinfo ../my/./wxgtk26/distinfo
--- ./wxgtk26/distinfo	Sat Sep  3 10:48:39 2005
+++ ../my/./wxgtk26/distinfo	Thu Oct  6 23:25:13 2005
@@ -1,2 +1,2 @@
-MD5 (wxGTK-2.6.1.tar.bz2) = dd348a6f825d502b497a085b190b7a27
-SIZE (wxGTK-2.6.1.tar.bz2) = 7205374
+MD5 (wxGTK-2.6.2.tar.bz2) = ba2afe7bd028062c5fff6d5ef3249c67
+SIZE (wxGTK-2.6.2.tar.bz2) = 7328807
diff -urN ./wxgtk26/files/patch-Makefile.in ../my/./wxgtk26/files/patch-Makefile.in
--- ./wxgtk26/files/patch-Makefile.in	Sat May 21 11:01:04 2005
+++ ../my/./wxgtk26/files/patch-Makefile.in	Thu Oct  6 23:36:07 2005
@@ -1,5 +1,5 @@
---- Makefile.in.orig	Thu Apr 21 00:32:34 2005
-+++ Makefile.in	Thu May  5 16:11:02 2005
+--- Makefile.in.orig	Tue Sep 20 17:03:25 2005
++++ Makefile.in	Thu Oct  6 23:33:29 2005
 @@ -23,6 +23,7 @@
  SONAME_FLAG = @SONAME_FLAG@
  STRIP = @STRIP@
@@ -8,11 +8,11 @@
  INSTALL_DATA = @INSTALL_DATA@
  INSTALL_DIR = @INSTALL_DIR@
  srcdir = @srcdir@
-@@ -9127,11 +9128,13 @@
+@@ -9153,13 +9154,15 @@
  
  all: $(__wxregex___depname) $(__wxzlib___depname) $(__wxpng___depname) $(__wxjpeg___depname) $(__wxtiff___depname) $(__wxodbc___depname) $(__wxexpat___depname) $(__monodll___depname) $(__monolib___depname) $(__basedll___depname) $(__baselib___depname) $(__netdll___depname) $(__netlib___depname) $(__coredll___depname) $(__corelib___depname) $(__advdll___depname) $(__advlib___depname) $(__mediadll___depname) $(__medialib___depname) $(__odbcdll___depname) $(__odbclib___depname) $(__dbgriddll___depname) $(__dbgridlib___depname) $(__htmldll___depname) $(__htmllib___depname) $(__qadll___depname) $(__qalib___depname) $(__xmldll___depname) $(__xmllib___depname) $(__xrcdll___depname) $(__xrclib___depname) $(__gldll___depname) $(__gllib___depname) $(__sound_sdl___depname) $(__wxrc___depname) $(__cocoa_res___depname)
  
--install: all $(__install_wxregex___depname) $(__install_wxzlib___depname) $(__install_wxpng___depname) $(__install_wxjpeg___depname) $(__install_wxtiff___depname) $(__install_wxodbc___depname) $(__install_wxexpat___depname) $(__install_monodll___depname) $(__install_monolib___depname) $(__install_basedll___depname) $(__install_baselib___depname) $(__install_netdll___depname) $(__install_netlib___depname) $(__install_coredll___depname) $(__install_corelib___depname) $(__install_advdll___depname) $(__install_advlib___depname) $(__install_mediadll___depname) $(__install_medialib___depname) $(__install_odbcdll___depname) $(__install_odbclib___depname) $(__install_dbgriddll___depname) $(__install_dbgridlib___depname) $(__install_htmldll___depname) $(__install_htmllib___depname) $(__install_qadll___depname) $(__install_qalib___depname) $(__install_xmldll___depname) $(__install_xmllib___depname) $(__install_xrcdll___depname) $(__install_xrclib___depname) $(__install_gldll___depnam
 e) $(__install_gllib___depname) $(__install_sound_sdl___depname) $(__install_wxrc___depname) install-wxconfig locale_install $(__cocoa_res_install___depname)
+-install: all $(__install_wxregex___depname) $(__install_wxzlib___depname) $(__install_wxpng___depname) $(__install_wxjpeg___depname) $(__install_wxtiff___depname) $(__install_wxodbc___depname) $(__install_wxexpat___depname) $(__install_monodll___depname) $(__install_monolib___depname) $(__install_basedll___depname) $(__install_baselib___depname) $(__install_netdll___depname) $(__install_netlib___depname) $(__install_coredll___depname) $(__install_corelib___depname) $(__install_advdll___depname) $(__install_advlib___depname) $(__install_mediadll___depname) $(__install_medialib___depname) $(__install_odbcdll___depname) $(__install_odbclib___depname) $(__install_dbgriddll___depname) $(__install_dbgridlib___depname) $(__install_htmldll___depname) $(__install_htmllib___depname) $(__install_qadll___depname) $(__install_qalib___depname) $(__install_xmldll___depname) $(__install_xmllib___depname) $(__install_xrcdll___depname) $(__install_xrclib___depname) $(__install_gldll___depnam
 e) $(__install_gllib___depname) $(__install_sound_sdl___depname) $(__install_wxrc___depname) install-wxconfig locale_install locale_msw_install $(__cocoa_res_install___depname)
 +install: all $(__install_wxregex___depname) $(__install_wxzlib___depname) $(__install_wxpng___depname) $(__install_wxjpeg___depname) $(__install_wxtiff___depname) $(__install_wxodbc___depname) $(__install_wxexpat___depname) $(__install_monodll___depname) $(__install_monolib___depname) $(__install_basedll___depname) $(__install_baselib___depname) $(__install_netdll___depname) $(__install_netlib___depname) $(__install_coredll___depname) $(__install_corelib___depname) $(__install_advdll___depname) $(__install_advlib___depname) $(__install_mediadll___depname) $(__install_medialib___depname) $(__install_odbcdll___depname) $(__install_odbclib___depname) $(__install_dbgriddll___depname) $(__install_dbgridlib___depname) $(__install_htmldll___depname) $(__install_htmllib___depname) $(__install_qadll___depname) $(__install_qalib___depname) $(__install_xmldll___depname) $(__install_xmllib___depname) $(__install_xrcdll___depname) $(__install_xrclib___depname) $(__install_gldll___depnam
 e) $(__install_gllib___depname) $(__install_sound_sdl___depname) $(__install_wxrc___depname) install-wxconfig $(__cocoa_res_install___depname)
 +	$(INSTALL_DIR) $(DESTDIR)$(includedir)/wx-$(WX_RELEASE)/$(TOOLCHAIN_FULLNAME)/wx
 +	(cd ./ ; $(INSTALL_DATA)  lib/wx/include/$(TOOLCHAIN_FULLNAME)/wx/setup.h $(DESTDIR)$(includedir)/wx-$(WX_RELEASE)/$(TOOLCHAIN_FULLNAME)/wx)
@@ -20,12 +20,14 @@
 +install-common: locale_install
  	$(INSTALL_DIR) $(DESTDIR)$(datadir)/aclocal
  	(cd $(srcdir) ; $(INSTALL_DATA)  wxwin.m4 $(DESTDIR)$(datadir)/aclocal)
+ 	$(INSTALL_DIR) $(DESTDIR)$(datadir)/bakefile/presets
+ 	(cd $(srcdir)/build/bakefiles/wxpresets/presets/ ; $(INSTALL_DATA)  wx.bkl wx_unix.bkl wx_win32.bkl $(DESTDIR)$(datadir)/bakefile/presets)
 -	$(INSTALL_DIR) $(DESTDIR)$(libdir)/wx/include/$(TOOLCHAIN_FULLNAME)/wx
 -	(cd ./ ; $(INSTALL_DATA)  lib/wx/include/$(TOOLCHAIN_FULLNAME)/wx/setup.h $(DESTDIR)$(libdir)/wx/include/$(TOOLCHAIN_FULLNAME)/wx)
  	$(INSTALL_DIR) $(DESTDIR)$(includedir)/wx-$(WX_RELEASE)$(WX_FLAVOUR)
  	for f in $(ALL_HEADERS); do \
  	if test ! -d $(DESTDIR)$(includedir)/wx-$(WX_RELEASE)$(WX_FLAVOUR)/`dirname $$f` ; then \
-@@ -9664,9 +9667,7 @@
+@@ -9692,9 +9695,7 @@
  
  install-wxconfig: 
  	$(INSTALL_DIR) $(DESTDIR)$(bindir)
diff -urN ./wxgtk26/pkg-plist ../my/./wxgtk26/pkg-plist
--- ./wxgtk26/pkg-plist	Sat May 21 11:01:04 2005
+++ ../my/./wxgtk26/pkg-plist	Fri Oct  7 08:04:25 2005
@@ -3,33 +3,34 @@
 include/wx-2.6/gtk2-ansi-release-2.6/wx/setup.h
 lib/libwx_base-2.6.so
 lib/libwx_base-2.6.so.0
-lib/libwx_base-2.6.so.0.0.0
+lib/libwx_base-2.6.so.0.2.0
 lib/libwx_base_net-2.6.so
 lib/libwx_base_net-2.6.so.0
-lib/libwx_base_net-2.6.so.0.0.0
+lib/libwx_base_net-2.6.so.0.2.0
 lib/libwx_base_xml-2.6.so
 lib/libwx_base_xml-2.6.so.0
-lib/libwx_base_xml-2.6.so.0.0.0
+lib/libwx_base_xml-2.6.so.0.2.0
 lib/libwx_gtk2_adv-2.6.so
 lib/libwx_gtk2_adv-2.6.so.0
-lib/libwx_gtk2_adv-2.6.so.0.0.0
+lib/libwx_gtk2_adv-2.6.so.0.2.0
 lib/libwx_gtk2_core-2.6.so
 lib/libwx_gtk2_core-2.6.so.0
-lib/libwx_gtk2_core-2.6.so.0.0.0
+lib/libwx_gtk2_core-2.6.so.0.2.0
 lib/libwx_gtk2_gl-2.6.so
 lib/libwx_gtk2_gl-2.6.so.0
-lib/libwx_gtk2_gl-2.6.so.0.0.0
+lib/libwx_gtk2_gl-2.6.so.0.2.0
 lib/libwx_gtk2_html-2.6.so
 lib/libwx_gtk2_html-2.6.so.0
-lib/libwx_gtk2_html-2.6.so.0.0.0
+lib/libwx_gtk2_html-2.6.so.0.2.0
 lib/libwx_gtk2_media-2.6.so
 lib/libwx_gtk2_media-2.6.so.0
-lib/libwx_gtk2_media-2.6.so.0.0.0
+lib/libwx_gtk2_media-2.6.so.0.2.0
 lib/libwx_gtk2_qa-2.6.so
 lib/libwx_gtk2_qa-2.6.so.0
-lib/libwx_gtk2_qa-2.6.so.0.0.0
+lib/libwx_gtk2_qa-2.6.so.0.2.0
 lib/libwx_gtk2_xrc-2.6.so
 lib/libwx_gtk2_xrc-2.6.so.0
-lib/libwx_gtk2_xrc-2.6.so.0.0.0
+lib/libwx_gtk2_xrc-2.6.so.0.2.0
 @dirrm include/wx-2.6/gtk2-ansi-release-2.6/wx
 @dirrm include/wx-2.6/gtk2-ansi-release-2.6
+@dirrm include/wx-2.6
diff -urN ./wxgtk26-common/pkg-plist ../my/./wxgtk26-common/pkg-plist
--- ./wxgtk26-common/pkg-plist	Sat Sep  3 10:48:39 2005
+++ ../my/./wxgtk26-common/pkg-plist	Fri Oct  7 19:17:52 2005
@@ -309,6 +309,7 @@
 include/wx-2.6/wx/radiobox.h
 include/wx-2.6/wx/radiobut.h
 include/wx-2.6/wx/rawbmp.h
+include/wx-2.6/wx/recguard.h
 include/wx-2.6/wx/regex.h
 include/wx-2.6/wx/region.h
 include/wx-2.6/wx/renderer.h
@@ -455,6 +456,9 @@
 include/wx-2.6/wx/zipstrm.h
 include/wx-2.6/wx/zstream.h
 share/aclocal/wxwin.m4
+share/bakefile/presets/wx.bkl
+share/bakefile/presets/wx_unix.bkl
+share/bakefile/presets/wx_win32.bkl
 share/locale/ca/LC_MESSAGES/wxstd.mo
 share/locale/cs/LC_MESSAGES/wxstd.mo
 share/locale/da/LC_MESSAGES/wxstd.mo
diff -urN ./wxgtk26-contrib/pkg-plist ../my/./wxgtk26-contrib/pkg-plist
--- ./wxgtk26-contrib/pkg-plist	Sat May 21 11:01:07 2005
+++ ../my/./wxgtk26-contrib/pkg-plist	Fri Oct  7 08:37:36 2005
@@ -1,27 +1,27 @@
 lib/libwx_gtk2_animate-2.6.so
 lib/libwx_gtk2_animate-2.6.so.0
-lib/libwx_gtk2_animate-2.6.so.0.0.0
+lib/libwx_gtk2_animate-2.6.so.0.2.0
 lib/libwx_gtk2_deprecated-2.6.so
 lib/libwx_gtk2_deprecated-2.6.so.0
-lib/libwx_gtk2_deprecated-2.6.so.0.0.0
+lib/libwx_gtk2_deprecated-2.6.so.0.2.0
 lib/libwx_gtk2_fl-2.6.so
 lib/libwx_gtk2_fl-2.6.so.0
-lib/libwx_gtk2_fl-2.6.so.0.0.0
+lib/libwx_gtk2_fl-2.6.so.0.2.0
 lib/libwx_gtk2_gizmos-2.6.so
 lib/libwx_gtk2_gizmos-2.6.so.0
-lib/libwx_gtk2_gizmos-2.6.so.0.0.0
+lib/libwx_gtk2_gizmos-2.6.so.0.2.0
 lib/libwx_gtk2_gizmos_xrc-2.6.so
 lib/libwx_gtk2_gizmos_xrc-2.6.so.0
-lib/libwx_gtk2_gizmos_xrc-2.6.so.0.0.0
+lib/libwx_gtk2_gizmos_xrc-2.6.so.0.2.0
 lib/libwx_gtk2_ogl-2.6.so
 lib/libwx_gtk2_ogl-2.6.so.0
-lib/libwx_gtk2_ogl-2.6.so.0.0.0
+lib/libwx_gtk2_ogl-2.6.so.0.2.0
 lib/libwx_gtk2_plot-2.6.so
 lib/libwx_gtk2_plot-2.6.so.0
-lib/libwx_gtk2_plot-2.6.so.0.0.0
+lib/libwx_gtk2_plot-2.6.so.0.2.0
 lib/libwx_gtk2_stc-2.6.so
 lib/libwx_gtk2_stc-2.6.so.0
-lib/libwx_gtk2_stc-2.6.so.0.0.0
+lib/libwx_gtk2_stc-2.6.so.0.2.0
 lib/libwx_gtk2_svg-2.6.so
 lib/libwx_gtk2_svg-2.6.so.0
-lib/libwx_gtk2_svg-2.6.so.0.0.0
+lib/libwx_gtk2_svg-2.6.so.0.2.0
diff -urN ./wxgtk26-contrib-common/pkg-plist ../my/./wxgtk26-contrib-common/pkg-plist
--- ./wxgtk26-contrib-common/pkg-plist	Sat May 21 11:01:07 2005
+++ ../my/./wxgtk26-contrib-common/pkg-plist	Fri Oct  7 19:27:46 2005
@@ -68,3 +68,5 @@
 @dirrm include/wx-2.6/wx/fl
 @dirrm include/wx-2.6/wx/deprecated
 @dirrm include/wx-2.6/wx/animate
+@dirrm include/wx-2.6/wx
+@dirrm include/wx-2.6
diff -urN ./wxgtk26-unicode/pkg-plist ../my/./wxgtk26-unicode/pkg-plist
--- ./wxgtk26-unicode/pkg-plist	Sat May 21 11:01:07 2005
+++ ../my/./wxgtk26-unicode/pkg-plist	Fri Oct  7 09:00:07 2005
@@ -3,33 +3,34 @@
 include/wx-2.6/gtk2-unicode-release-2.6/wx/setup.h
 lib/libwx_baseu-2.6.so
 lib/libwx_baseu-2.6.so.0
-lib/libwx_baseu-2.6.so.0.0.0
+lib/libwx_baseu-2.6.so.0.2.0
 lib/libwx_baseu_net-2.6.so
 lib/libwx_baseu_net-2.6.so.0
-lib/libwx_baseu_net-2.6.so.0.0.0
+lib/libwx_baseu_net-2.6.so.0.2.0
 lib/libwx_baseu_xml-2.6.so
 lib/libwx_baseu_xml-2.6.so.0
-lib/libwx_baseu_xml-2.6.so.0.0.0
+lib/libwx_baseu_xml-2.6.so.0.2.0
 lib/libwx_gtk2u_adv-2.6.so
 lib/libwx_gtk2u_adv-2.6.so.0
-lib/libwx_gtk2u_adv-2.6.so.0.0.0
+lib/libwx_gtk2u_adv-2.6.so.0.2.0
 lib/libwx_gtk2u_core-2.6.so
 lib/libwx_gtk2u_core-2.6.so.0
-lib/libwx_gtk2u_core-2.6.so.0.0.0
+lib/libwx_gtk2u_core-2.6.so.0.2.0
 lib/libwx_gtk2u_gl-2.6.so
 lib/libwx_gtk2u_gl-2.6.so.0
-lib/libwx_gtk2u_gl-2.6.so.0.0.0
+lib/libwx_gtk2u_gl-2.6.so.0.2.0
 lib/libwx_gtk2u_html-2.6.so
 lib/libwx_gtk2u_html-2.6.so.0
-lib/libwx_gtk2u_html-2.6.so.0.0.0
+lib/libwx_gtk2u_html-2.6.so.0.2.0
 lib/libwx_gtk2u_media-2.6.so
 lib/libwx_gtk2u_media-2.6.so.0
-lib/libwx_gtk2u_media-2.6.so.0.0.0
+lib/libwx_gtk2u_media-2.6.so.0.2.0
 lib/libwx_gtk2u_qa-2.6.so
 lib/libwx_gtk2u_qa-2.6.so.0
-lib/libwx_gtk2u_qa-2.6.so.0.0.0
+lib/libwx_gtk2u_qa-2.6.so.0.2.0
 lib/libwx_gtk2u_xrc-2.6.so
 lib/libwx_gtk2u_xrc-2.6.so.0
-lib/libwx_gtk2u_xrc-2.6.so.0.0.0
+lib/libwx_gtk2u_xrc-2.6.so.0.2.0
 @dirrm include/wx-2.6/gtk2-unicode-release-2.6/wx
 @dirrm include/wx-2.6/gtk2-unicode-release-2.6
+@dirrm include/wx-2.6
diff -urN ./wxgtk26-unicode-contrib/pkg-plist ../my/./wxgtk26-unicode-contrib/pkg-plist
--- ./wxgtk26-unicode-contrib/pkg-plist	Sat May 21 11:01:07 2005
+++ ../my/./wxgtk26-unicode-contrib/pkg-plist	Fri Oct  7 18:48:26 2005
@@ -1,27 +1,27 @@
 lib/libwx_gtk2u_animate-2.6.so
 lib/libwx_gtk2u_animate-2.6.so.0
-lib/libwx_gtk2u_animate-2.6.so.0.0.0
+lib/libwx_gtk2u_animate-2.6.so.0.2.0
 lib/libwx_gtk2u_deprecated-2.6.so
 lib/libwx_gtk2u_deprecated-2.6.so.0
-lib/libwx_gtk2u_deprecated-2.6.so.0.0.0
+lib/libwx_gtk2u_deprecated-2.6.so.0.2.0
 lib/libwx_gtk2u_fl-2.6.so
 lib/libwx_gtk2u_fl-2.6.so.0
-lib/libwx_gtk2u_fl-2.6.so.0.0.0
+lib/libwx_gtk2u_fl-2.6.so.0.2.0
 lib/libwx_gtk2u_gizmos-2.6.so
 lib/libwx_gtk2u_gizmos-2.6.so.0
-lib/libwx_gtk2u_gizmos-2.6.so.0.0.0
+lib/libwx_gtk2u_gizmos-2.6.so.0.2.0
 lib/libwx_gtk2u_gizmos_xrc-2.6.so
 lib/libwx_gtk2u_gizmos_xrc-2.6.so.0
-lib/libwx_gtk2u_gizmos_xrc-2.6.so.0.0.0
+lib/libwx_gtk2u_gizmos_xrc-2.6.so.0.2.0
 lib/libwx_gtk2u_ogl-2.6.so
 lib/libwx_gtk2u_ogl-2.6.so.0
-lib/libwx_gtk2u_ogl-2.6.so.0.0.0
+lib/libwx_gtk2u_ogl-2.6.so.0.2.0
 lib/libwx_gtk2u_plot-2.6.so
 lib/libwx_gtk2u_plot-2.6.so.0
-lib/libwx_gtk2u_plot-2.6.so.0.0.0
+lib/libwx_gtk2u_plot-2.6.so.0.2.0
 lib/libwx_gtk2u_stc-2.6.so
 lib/libwx_gtk2u_stc-2.6.so.0
-lib/libwx_gtk2u_stc-2.6.so.0.0.0
+lib/libwx_gtk2u_stc-2.6.so.0.2.0
 lib/libwx_gtk2u_svg-2.6.so
 lib/libwx_gtk2u_svg-2.6.so.0
-lib/libwx_gtk2u_svg-2.6.so.0.0.0
+lib/libwx_gtk2u_svg-2.6.so.0.2.0