--- print/cups-base/Makefile.old	Tue Jul  4 18:25:44 2006
+++ print/cups-base/Makefile	Tue Jul  4 18:27:01 2006
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	cups-base
-PORTVERSION=	1.2.0
-PORTREVISION=	2
+PORTVERSION=	1.2.1
 CATEGORIES=	print
 MASTER_SITES=	ftp://ftp.funet.fi/pub/mirrors/ftp.easysw.com/pub/cups/${PORTVERSION}/ \
 		ftp://ftp.ntua.gr/pub/gnu/cups/${PORTVERSION}/ \
@@ -19,6 +18,7 @@
 MAINTAINER=	asa@agava.com
 COMMENT=	The Common UNIX Printing System
 
+
 INSTALLS_SHLIB=	yes
 USE_BZIP2=	yes
 USE_GMAKE=	yes
@@ -28,10 +28,12 @@
 CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
 		LDFLAGS="-L${LOCALBASE}/lib"
 
-OPTIONS=	GNUTLS		"Build with GNUTLS library" on \
+OPTIONS=	GNUTLS		"Build with GNUTLS library" off \
 		PHP		"Build PHP support" off \
 		PYTHON		"Build PYTHON support" off \
-		LIBPAPER	"Build with libpaper support" off
+		LIBPAPER	"Build with libpaper support" on
+
+.include <bsd.port.pre.mk>
 
 CUPS_FILESDIR=	${.CURDIR}/../../print/cups/files
 CUPS_ETCDIR=	${PREFIX}/etc/cups
@@ -62,7 +64,7 @@
 			--with-rcdir=${CUPS_RCDIR}		\
 			--with-domainsocket=${CUPS_SOCKET}
 
-.if !defined(WITHOUT_GNUTLS)
+.if defined(WITH_GNUTLS)
 CONFIGURE_ARGS+=	--enable-gnutls --disable-openssl
 LIB_DEPENDS+=		gnutls-openssl.15:${PORTSDIR}/security/gnutls
 .endif
@@ -162,4 +164,4 @@
 	${CHMOD} -R g+w ${CUPS_SPOOLDIR}
 	@${SED} -e 's#PREFIX#${PREFIX}#' ${PKGMESSAGE}
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
--- print/cups-base/distinfo.old	Tue Jul  4 18:26:01 2006
+++ print/cups-base/distinfo	Tue Jul  4 17:19:02 2006
@@ -1,3 +1,3 @@
-MD5 (cups-1.2.0-source.tar.bz2) = a168b0b1c8bb946060e659e1df2927c5
-SHA256 (cups-1.2.0-source.tar.bz2) = 893a91d96e68de51f767d97d36d2d321320b3611b7178ea9a9d17ad2777f5f9f
-SIZE (cups-1.2.0-source.tar.bz2) = 3456476
+MD5 (cups-1.2.1-source.tar.bz2) = f804995e3f469bdefedc033510f6e6a5
+SHA256 (cups-1.2.1-source.tar.bz2) = 10fb273b8118858fdce795608065860865432b2d9f1016b53fff1eb340385e45
+SIZE (cups-1.2.1-source.tar.bz2) = 3475342
--- print/cups-base/files/patch-Makefile.old	Tue Jul  4 18:26:15 2006
+++ print/cups-base/files/patch-Makefile	Tue Jul  4 17:46:14 2006
@@ -1,11 +1,11 @@
---- Makefile.orig	Thu May 18 13:38:50 2006
-+++ Makefile	Thu May 18 13:40:07 2006
-@@ -99,56 +99,11 @@
+--- Makefile.orig	Tue Jul  4 17:43:24 2006
++++ Makefile	Tue Jul  4 17:45:14 2006
+@@ -99,57 +99,10 @@
  	echo Installing cups-config script...
  	$(INSTALL_DIR) -m 755 $(BINDIR)
  	$(INSTALL_SCRIPT) cups-config $(BINDIR)/cups-config
--	echo Installing startup script...
 -	if test "x$(INITDIR)" != x; then \
+-		echo Installing init scripts...; \
 -		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(INITDIR)/init.d; \
 -		$(INSTALL_SCRIPT) init/cups.sh $(BUILDROOT)$(INITDIR)/init.d/cups; \
 -		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(INITDIR)/rc0.d; \
@@ -20,13 +20,16 @@
 -	if test "x$(INITDIR)" = x -a "x$(INITDDIR)" != x; then \
 -		$(INSTALL_DIR) $(BUILDROOT)$(INITDDIR); \
 -		if test "$(INITDDIR)" = "/System/Library/StartupItems/PrintingServices"; then \
+-			echo Installing StartupItems files...; \
 -			$(INSTALL_SCRIPT) init/PrintingServices $(BUILDROOT)$(INITDDIR)/PrintingServices; \
 -			$(INSTALL_DATA) init/StartupParameters.plist $(BUILDROOT)$(INITDDIR)/StartupParameters.plist; \
 -			$(INSTALL_DIR) -m 755 $(BUILDROOT)$(INITDDIR)/Resources/English.lproj; \
 -			$(INSTALL_DATA) init/Localizable.strings $(BUILDROOT)$(INITDDIR)/Resources/English.lproj/Localizable.strings; \
 -		elif test "$(INITDDIR)" = "/System/Library/LaunchDaemons"; then \
+-			echo Installing LaunchDaemons configuration file...; \
 -			$(INSTALL_DATA) init/org.cups.cupsd.plist $(BUILDROOT)$(DEFAULT_LAUNCHD_CONF); \
 -		else \
+-			echo Installing RC script...; \
 -			$(INSTALL_SCRIPT) init/cups.sh $(BUILDROOT)$(INITDDIR)/cups; \
 -		fi \
 -	fi
@@ -34,7 +37,7 @@
  		echo Installing cups.conf in $(DBUSDIR)...;\
  		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(DBUSDIR); \
  		$(INSTALL_DATA) packaging/cups-dbus.conf $(BUILDROOT)$(DBUSDIR)/cups.conf; \
- 	fi
+-	fi
 -	if test "x$(XINETD)" != x; then \
 -		echo Installing xinetd configuration file for cups-lpd...; \
 -		$(INSTALL_DIR) -m 755 $(BUILDROOT)$(XINETD); \
@@ -52,8 +55,6 @@
 -		$(INSTALL_DATA) desktop/cups-64.png $(BUILDROOT)/usr/share/icons/hicolor/64x64/apps/cups.png; \
 -		$(INSTALL_DIR) -m 755 $(BUILDROOT)/usr/share/icons/hicolor/128x128/apps; \
 -		$(INSTALL_DATA) desktop/cups-128.png $(BUILDROOT)/usr/share/icons/hicolor/128x128/apps/cups.png; \
--	fi
--
+ 	fi
+ 
  
- #
- # Install source and header files...